From ee71c0a2eaae3c557b06652c581c48e9da28df43 Mon Sep 17 00:00:00 2001
From: Adam Samalik <asamalik@redhat.com>
Date: Apr 23 2019 13:35:40 +0000
Subject: [PATCH 8/88] languages build script


---

diff --git a/build-scripts/rebuild-site.sh b/build-scripts/rebuild-site.sh
index c49438b..a5f0819 100755
--- a/build-scripts/rebuild-site.sh
+++ b/build-scripts/rebuild-site.sh
@@ -47,11 +47,49 @@ if ! $BUILD_CMD ; then
     exit 1
 fi
 
+# FIXME: Building languages, this code needs some love
+
+languages="cs fr jp"
+
+create_language_menu() {
+    {
+        echo '<div class="page-languages">'
+        echo "    <button class=\"languages-menu-toggle\" title=\"Show other languages of the site\">$1</button>"
+        echo '    <div class="languages-menu">'
+        echo '        <a class="language" href="{{siteRootPath}}/../en-US{{page.url}}"">en-US</a>'
+        for lang in $languages; do
+            echo "        <a class=\"language\" href=\"{{siteRootPath}}/../$lang{{page.url}}\">$lang</a>"
+        done
+        echo '    </div>'
+        echo '</div>'
+    } > "$workdir/source/supplemental-ui/partials/page-languages.hbs"
+}
+
+for current_lang in $languages; do
+    create_language_menu "$current_lang"
+    if ! antora --html-url-extension-style=indexify site-$current_lang.yml ; then
+        echo ""
+        echo "Error building translated site for $current_lang."
+        rm -rf "$workdir"
+        exit 1
+    fi
+done
+
+create_language_menu "en-US"
+
+# End building languages
+
 popd > /dev/null
 
 cp -r "$workdir/source/public/en-US" "$target/output/en-US.building" && rm -rf "$target/output/en-US" && mv "$target/output/en-US.building" "$target/output/en-US" || exit 1
 cp "$workdir/source/static/index.html" "$target/output/index.html" || exit 1
 
+# copy languages
+for current_lang in $languages; do
+    cp -r "$workdir/source/public/$current_lang" "$target/output/$current_lang.building" && mv "$target/output/$current_lang.building" "$target/output/$current_lang" || exit 1
+done
+# end languages
+
 rm -rf "$workdir"
 
 echo ""

